Subject: Re: Top reporting on cygwin processes only?
From: Jim George <[email-masked]>
To: cygwin <[email-masked]>
Date: Tue, 6 Aug 2002 08:29:57 +0100

On Mon, 5 Aug 2002 19:10:50 -0400 (EDT)
Igor Pechtchanski <[email-masked]> wrote:

> On Mon, 5 Aug 2002, Jim George wrote:
> 
> > Folks,
> >         not sure if this is a feature request but....top only reports
> > process information for processes that have been starte by cygrunsrv or
> > another cygwin application.
> >
> >         Is there a way for it to report on window$ apps/processes in the
> > same way that ps -W does?
> >
> > Jim
> 
> Jim,
> Considering that there was no top for cygwin until the end of July this
> year, I think we're doing pretty good. ;-)
> So, in the spirit of the cygwin community, "patches gratefully accepted".
> 	Igor
> P.S.  Top walks the process table in the same way ps does.  It shouldn't
> be hard to rip out pieces of ps code for the -W switch and integrate them
> into top.
> -- 
Igor,

	thanks, I kinda thought I'd get the old 'patches....' response.

	Unfortunately I'm not a developer, at least I haven't written any C in almost 10 years, so I'll sit and wait.

	This does bring up a point though.  It would be nice if there were a mailing list that people could send in feature requests, no matter what their skillset or ability ;).

	Any way maybe I'll try and modify the code...but I doubt it.

Best Regards,

Jim

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/